using System;
class Program
{
    static void Main()
    {

        string[] a = Console.ReadLine().Split(" ");
        int n = int.Parse(a[0]);
        int l = int.Parse(a[1]);
        string[] b = Console.ReadLine().Split(" ");
        int t = -1;
        int i = 0;

        for (; i < n; i++)
        {
            int u = int.Parse(b[i]);

            if (t == -1)
            {
                if (u <= l)
                {
                    t = i + 1;
                }
            }

        }

        if (i > 0)
        {
            Console.WriteLine(t);
        }
    }
}